Bug 1190540 - open-vm-tools-debuginfo cannot be installed because it conflicts with itself.
Summary: open-vm-tools-debuginfo cannot be installed because it conflicts with itself.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 02:36 UTC by JC
Modified: 2016-05-31 09:21 UTC (History)
5 users (show)

Fixed In Version: 9.10.2-2.fc23 open-vm-tools-10.0.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-31 09:21:33 UTC
Type: Bug


Attachments (Terms of Use)

Description JC 2015-02-09 02:36:26 UTC
Description of problem: When trying to install 
open-vm-tools-debuginfo-9.4.6-6.fc21.x86_64 it conflicts with itself

Version-Release number of selected component (if applicable):
open-vm-tools-debuginfo-9.4.6-6.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. attempt to use yum to load package
2.
3.

Actual results:
Transaction check error:
  file /usr/lib/debug/usr/sbin/mount.vmhgfs.debug conflicts between attempted installs of open-vm-tools-debuginfo-9.4.6-6.fc21.x86_64 and open-vm-tools-debuginfo-9.4.6-6.fc21.x86_64


Expected results:
Package loads

Additional info:

Comment 1 Richard W.M. Jones 2015-02-09 08:41:27 UTC
I don't understand this bug.  Is
open-vm-tools-debuginfo-9.4.6-6.fc21.x86_64 already installed?  How
can the same package NVR be installed twice?  It sounds to me like
yum or your rpm database is broken.

Comment 2 JC 2015-02-09 23:48:26 UTC
It is not installed and will not install. It gives the above error.


The file it's complaining about is a link to another file in the archive.

tower:~/Downloads/usr/lib/debug/sbin$ ls -al
total 8
drwxr-xr-x. 2 jcaldwel jcaldwel 4096 Feb  4 18:04 .
drwxr-xr-x. 6 jcaldwel jcaldwel 4096 Feb  4 18:04 ..
lrwxrwxrwx. 1 jcaldwel jcaldwel   30 Feb  9 18:41 mount.vmhgfs.debug -> ../usr/sbin/mount.vmhgfs.debug

Comment 3 Simone Caronni 2015-08-26 13:02:36 UTC
This is fixed in the latest build, but just to be sure I removed the binary from the installed buildroot before packaging, there is no need for the debug information in the debuginfo subpackage if the binary is not available at all.

Comment 4 Fedora Update System 2015-08-26 14:56:56 UTC
open-vm-tools-9.10.2-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14336

Comment 5 Fedora Update System 2015-08-26 14:57:08 UTC
open-vm-tools-9.10.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14337

Comment 6 Fedora Update System 2015-08-26 14:57:19 UTC
open-vm-tools-9.10.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14338

Comment 7 Fedora Update System 2015-08-28 18:53:26 UTC
open-vm-tools-9.10.2-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update open-vm-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14336

Comment 8 Fedora Update System 2015-08-28 18:58:07 UTC
open-vm-tools-9.10.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update open-vm-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14338

Comment 9 Fedora Update System 2015-08-31 18:53:32 UTC
open-vm-tools-9.10.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update open-vm-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14337

Comment 10 Fedora Update System 2015-09-01 18:31:38 UTC
open-vm-tools-9.10.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-10-01 07:20:14 UTC
open-vm-tools-10.0.0-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bcae3aae6b

Comment 12 Fedora Update System 2015-10-01 07:20:15 UTC
open-vm-tools-10.0.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa358c7ef8

Comment 13 Fedora Update System 2015-10-04 01:37:27 UTC
open-vm-tools-10.0.0-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa358c7ef8

Comment 14 Fedora Update System 2015-10-04 02:21:17 UTC
open-vm-tools-10.0.0-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bcae3aae6b

Comment 15 Ravindra Kumar 2015-10-05 18:35:11 UTC
Please ignore comment 11-14. Bodhi picked this bug even though it wasn't selected in the checkbox. Sorry for the inconvenience.

Comment 16 Fedora Update System 2016-05-25 19:19:46 UTC
open-vm-tools-10.0.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36485d53b0

Comment 17 Fedora Update System 2016-05-26 04:53:26 UTC
open-vm-tools-10.0.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36485d53b0

Comment 18 Fedora Update System 2016-05-31 09:21:18 UTC
open-vm-tools-10.0.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.